GearmanClient::setWorkloadCallback
GearmanJob
GearmanClient
PHP Manual

# GearmanClient::timeout

(PECL gearman >= 0.6.0)

GearmanClient::timeout — Get current socket I/O activity timeout value

### Description

public int GearmanClient::timeout ( void )

Returns the timeout in milliseconds to wait for I/O activity.

### Parameters

This function has no parameters.

### Return Values

Timeout in milliseconds to wait for I/O activity. A negative value means an infinite timeout.

### See Also

- GearmanClient::setTimeout() - Set socket I/O activity timeout

GearmanClient::setWorkloadCallback
GearmanJob
GearmanClient
PHP Manual